### Method

# Adw ToolbarViewset_top_bar_style

since: 1.4

#### Declaration [src]

    void
    adw_toolbar_view_set_top_bar_style (
      AdwToolbarView* self,
      AdwToolbarStyle style
    )

#### Description [src]

Sets appearance of the top bars for `self`.

If set to `ADW_TOOLBAR_FLAT`, top bars are flat and scrolling content has a subtle undershoot shadow when touching them, same as the `.undershoot-top` style class. This works well for simple content, e.g. `AdwStatusPage` or `AdwPreferencesPage`, where the background at the top of the page is uniform. Additionally, windows with sidebars should always use this style.

Undershoot shadow is only present if a top bar is actually present and visible. It is also never present if `AdwToolbarView:extend-content-to-top-edge` is set to `TRUE`.

If set to `ADW_TOOLBAR_RAISED`, top bars have an opaque background and a persistent shadow, this is suitable for content such as utility panes, where some elements are directly adjacent to the top bars, or `AdwTabView`, where each page can have a different background.

`ADW_TOOLBAR_RAISED_BORDER` is similar to `ADW_TOOLBAR_RAISED`, but the shadow is replaced with a more subtle border. This can be useful for applications like image viewers.

See also `adw_toolbar_view_set_bottom_bar_style()`.

Available since: 1.4

Sets property | `Adw.ToolbarView:top-bar-style`

#### Parameters

`style`

  Type: `AdwToolbarStyle`

  Top bar style.